FreeBSD : mbedTLS/PolarSSL -- multiple vulnerabilities (953aaa57-6bce-11e5-9909-002590263bf5)

High Nessus Plugin ID 86279


The remote FreeBSD host is missing one or more security-related updates.


ARM Limited reports :

In order to strengthen the minimum requirements for connections and to protect against the Logjam attack, the minimum size of Diffie-Hellman parameters accepted by the client has been increased to 1024 bits.

In addition the default size for the Diffie-Hellman parameters on the server are increased to 2048 bits. This can be changed with ssl_set_dh_params() in case this is necessary.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 86279

File Name: freebsd_pkg_953aaa576bce11e59909002590263bf5.nasl

Version: $Revision: 2.1 $

Type: local

Published: 2015/10/06

Modified: 2015/10/06

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:polarssl, p-cpe:/a:freebsd:freebsd:polarssl13, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2015/10/06

Vulnerability Publication Date: 2015/08/11